## ros-lunar-novatel-gps-msgs 3.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(novatel_gps_msgs)

set(MSG_DEPS 
  std_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  ${MSG_DEPS}
)

add_service_files(
  FILES
  NovatelFRESET.srv
)

add_message_files(DIRECTORY msg FILES
  ClockSteering.msg
  Gpgga.msg
  Gpgsa.msg
  Gpgsv.msg
  Gprmc.msg
  Inscov.msg
  Inspva.msg
  Inspvax.msg
  Insstdev.msg
  NovatelCorrectedImuData.msg
  NovatelExtendedSolutionStatus.msg
  NovatelMessageHeader.msg
  NovatelPosition.msg
  NovatelUtmPosition.msg
  NovatelReceiverStatus.msg
  NovatelSignalMask.msg
  NovatelVelocity.msg
  RangeInformation.msg
  Range.msg
  Satellite.msg
  Time.msg
  TrackstatChannel.msg
  Trackstat.msg
)
generate_messages(DEPENDENCIES ${MSG_DEPS})
catkin_package(
  CATKIN_DEPENDS message_runtime ${MSG_DEPS}
)

=== debian/changelog ===
ros-lunar-novatel-gps-msgs (3.8.0-1stretch) stretch; urgency=high

  * Add clocksteering parsing (#40 <https://github.com/swri-robotics/novatel_gps_driver/issues/40>)
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Tue, 04 Jun 2019 05:00:00 -0000

ros-lunar-novatel-gps-msgs (3.7.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 22 Mar 2019 05:00:00 -0000

ros-lunar-novatel-gps-msgs (3.6.0-1stretch) stretch; urgency=high

  * Add NovatelUtmPosition message
  * Add Inspvax message (#27)
  * Contributors: Ellon Paiva Mendes, Sagnik Basu

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-lunar-novatel-gps-msgs (3.5.0-1stretch) stretch; urgency=high

  * Update documentation
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 17 Jul 2018 05:00:00 -0000

ros-lunar-novatel-gps-msgs (3.4.0-1stretch) stretch; urgency=high

  * Add service to novatel_gps_nodelet that issues a FRESET command on the indicated target, or STANDARD if none is provided
  * Contributors: Matthew Bries, P. J. Reed

 -- Ed Venator <evenator@swri.org>  Fri, 06 Oct 2017 05:00:00 -0000

ros-lunar-novatel-gps-msgs (3.3.0-1stretch) stretch; urgency=high

  * Publish sensor_msgs/Imu messages
  * Code cleanup
  * Contributors: Edward Venator, P. J. Reed

 -- Ed Venator <evenator@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-lunar-novatel-gps-msgs (3.2.0-1stretch) stretch; urgency=high

  * Publish IMU data from NovAtel SPAN devices
  * Contributors: P. J. Reed

 -- Ed Venator <evenator@swri.org>  Fri, 21 Jul 2017 05:00:00 -0000

ros-lunar-novatel-gps-msgs (3.1.0-1stretch) stretch; urgency=high



 -- Ed Venator <evenator@swri.org>  Tue, 27 Jun 2017 05:00:00 -0000

ros-lunar-novatel-gps-msgs (3.0.1-1stretch) stretch; urgency=high



 -- Ed Venator <evenator@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-lunar-novatel-gps-msgs (3.0.0-1stretch) stretch; urgency=high

  * Rename novatel_msgs to novatel_gps_msgs
  * Contributors: P. J. Reed

 -- Ed Venator <evenator@swri.org>  Mon, 03 Apr 2017 05:00:00 -0000

ros-lunar-novatel-gps-msgs (2.9.0-1stretch) stretch; urgency=high



 -- Ed Venator <evenator@swri.org>  Wed, 11 Jan 2017 06:00:00 -0000

ros-lunar-novatel-gps-msgs (2.8.0-1stretch) stretch; urgency=high



 -- Ed Venator <evenator@swri.org>  Thu, 05 Jan 2017 06:00:00 -0000

ros-lunar-novatel-gps-msgs (2.7.2-1stretch) stretch; urgency=high



 -- Ed Venator <evenator@swri.org>  Mon, 28 Nov 2016 06:00:00 -0000

ros-lunar-novatel-gps-msgs (2.7.0-1stretch) stretch; urgency=high



 -- Ed Venator <evenator@swri.org>  Thu, 24 Sep 2015 16:37:00 -0500

=== debian/control ===
Source: ros-lunar-novatel-gps-msgs
Section: misc
Priority: extra
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-message-generation, ros-lunar-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-novatel-gps-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-message-runtime, ros-lunar-std-msgs
Description: Messages for proprietary (non-NMEA) sentences from Novatel GPS receivers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-novatel-gps-msgs//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
